/*
* Author: limin
* Version:0.1.0
* MJxxx is a interface for js;
* MCxxx is a interface for native java.
*/
//Global variables

/**
 * @name 获取程序版本信息
 * @e.g.
 * MJGetAppVersionName();
 * @returns {String}
 * 
 * @author limin
 * @update 2016-5-4
 */
function MJGetAppVersionName() {
    var callback = "MCSetAppVersionName";
    var oriVersion = '1.0.0';
    try {
    	return	window.inspur.invokeAndReturn("com.inspur.plugin.TFcoalPlugin ","getAppVersionName");
    } catch (e) {
    	return oriVersion;
        console.log("Exception: MJGetAppVersionName ");
    }
}


/**
 * @name 启动自动更新 
 * MJUpdateApp(url);
 * @param url:下载地址
 * 
 * @author limin
 * @update 2014-10-21
 */
function MJUpdateApp(url) {
    try {
    	var updataUrl = "{\"url\":\""+url+ "\"}";
		window.inspur.invoke("com.inspur.plugin.TFcoalPlugin ","updateDialog", updataUrl);
    } catch (e) {
        console.log("Exception: MJUpdateApp ");
    }
}




/**
 * 拨打电话
 * telNum:电话号码
 */
function callTel(telNum) {
	try {
		window.inspur.invoke("com.inspur.plugin.TFcoalPlugin ","callTel",'{"number":"'+telNum+'"}');
	} catch (e) {
		console.log("Exception: " + arguments.callee.toString());
	}	
}


/**
 * 版本升级安装包下载
 * url:下载地址
 */
function appDownload(url) {
	try {
		window.inspur.invoke("com.inspur.plugin.TFcoalPlugin ","updateDialog",'{"url":"'+url+'"}');
	} catch (e) {
		console.log("Exception: " + arguments.callee.toString());
	}	
}

/**
 * QQ登录
 */
function MJQQLogin(callback) {
	try {
		return	window.inspur.invoke("com.inspur.plugin.TFcoalPlugin ","QQLogin",'{"callBack":"'+ callback +'"}');
	} catch (e) {
		console.log("Exception: " + arguments.callee.toString());
	}	
}

/**
 * 清除缓存
 */
function clearCache() {
	try {
		window.inspur.invoke("com.inspur.plugin.TFcoalPlugin ","clearCache");
	} catch (e) {
		console.log("Exception: " + arguments.callee.toString());
	}
}

/**
 * 获取缓存大小
 */
function getCacheSize() {
	try {
		return	window.inspur.invokeAndReturn("com.inspur.plugin.TFcoalPlugin ","getCacheSize");
	} catch (e) {
		console.log("Exception: " + arguments.callee.toString());
	}
}
/**
 * share分享
 */
function share(shareUrl,imageUrl,title) {
	try {
		var sharejson = "{\"shareUrl\":\""+shareUrl+"\",\"imageUrl\":\""+imageUrl+"\",\"title\":\""+title+"\"}";
		window.inspur.invoke("com.inspur.plugin.TFcoalPlugin ","share",sharejson);
	} catch (e) {
		console.log("Exception: " + arguments.callee.toString());
	}
}

/**
 * 登录
 */
function MJlogin(loginFlag,username,pwd,openId,accessToken,nickname) {
	try {
		var loginJson = "{\"loginFlag\":\""+loginFlag+"\",\"username\":\""+username+"\",\"pwd\":\""+pwd
		+ "\",\"openId\":\""+openId+"\",\"accessToken\":\""+accessToken +"\",\"nickname\":\""+nickname
		+"\"}";
		window.inspur.invoke("com.inspur.plugin.TFcoalPlugin ","Login",loginJson);
	} catch (e) {
		console.log("Exception: " + arguments.callee.toString());
	}
}

/**
 * 退出登录
 */
function MJlogout(loginFlag) {
	try {
		var logoutJson = "{\"loginFlag\":\""+loginFlag+ "\"}";
		window.inspur.invoke("com.inspur.plugin.TFcoalPlugin ","Logout", logoutJson);
	} catch (e) {
		console.log("Exception: " + arguments.callee.toString());
	}
}
/**
 * 退出应用
 */
function MJExitApp() {	
	try {
		window.inspur.invoke("com.inspur.plugin.TFcoalPlugin ","exitSYS");
	} catch (e) {
		console.log("Exception: " + arguments.callee.toString());
	}
}

//调用系统相机
function MJOpenCamera(json) {
	try {
        return window.inspur.invoke("com.inspur.plugin.ImagePlugin", "openCamera", json);
	} catch (e) {
		console.log("Exception: " + arguments.callee.toString());
	}
}
//调用系统相册
function MJOpenAlbum(json) {
	try {
        return window.inspur.invoke("com.inspur.plugin.ImagePlugin", "openAlbum", json);
	} catch (e) {
		console.log("Exception: " + arguments.callee.toString());
	}
}

//MJUriToBase64--用于图片上传文档中心
function MJUriToBase64(json) {
	try {
        if(validateOS() == 'android'){
        	return window.inspur.invokeAndReturn("com.inspur.plugin.ImagePlugin", "uriToBase64", json);
        }else if(validateOS() == 'ios'){
        	
        }
	} catch (e) {
		console.log("Exception: " + arguments.callee.toString());
	}
}
//Toast
function MJToast(toastStr) {
	try {
        var toastJson = "{\"message\":\""+toastStr+ "\"}";
    	return window.inspur.invoke("com.inspur.plugin.TFcoalPlugin ", "showToast", toastJson);
	} catch (e) {
		console.log("Exception: " + arguments.callee.toString());
	}
}

//MJWeCahtPay--微信支付
function MJWeCahtPay(appid,partnerid,prepayid,noncestr,timestamp,package,sign,wechatCallback) {
	var payJson = "{\"appid\":\""+appid+"\",\"partnerid\":\""+partnerid+"\",\"prepayid\":\""+prepayid
		+ "\",\"noncestr\":\""+noncestr+"\",\"timestamp\":\""+timestamp +"\",\"package\":\""+package
		+"\",\"sign\":\""+sign +"\",\"callBack\":\""+wechatCallback +"\"}";
		
	console.log(payJson);	
	try {
        if(validateOS() == 'android'){
        	return window.inspur.invoke("com.inspur.plugin.TFcoalPlugin ", "WechatPay", payJson);
        }else if(validateOS() == 'ios'){
        	
        }
	} catch (e) {
		console.log("Exception: " + arguments.callee.toString());
	}
}
